curl --request GET \
--url https://cloud.kaneo.app/api/search \
--header 'Authorization: Bearer <token>'{
"tasks": [
{
"id": "<string>",
"projectId": "<string>",
"position": 123,
"number": 123,
"userId": "<string>",
"title": "<string>",
"description": "<string>",
"status": "<string>",
"priority": "no-priority",
"createdAt": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z"
}
],
"projects": [
{
"id": "<string>",
"workspaceId": "<string>",
"slug": "<string>",
"icon": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"isPublic": true,
"archivedAt": null
}
],
"workspaces": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"logo": "<string>",
"metadata": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"comments": [
{
"id": "<string>",
"taskId": "<string>",
"type": "comment",
"createdAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"content": "<string>",
"eventData": {},
"externalUserName": "<string>",
"externalUserAvatar": "<string>",
"externalSource": "<string>",
"externalUrl": "<string>"
}
],
"activities": [
{
"id": "<string>",
"taskId": "<string>",
"type": "comment",
"createdAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"content": "<string>",
"eventData": {},
"externalUserName": "<string>",
"externalUserAvatar": "<string>",
"externalSource": "<string>",
"externalUrl": "<string>"
}
]
}Search across tasks, projects, workspaces, comments, and activities
curl --request GET \
--url https://cloud.kaneo.app/api/search \
--header 'Authorization: Bearer <token>'{
"tasks": [
{
"id": "<string>",
"projectId": "<string>",
"position": 123,
"number": 123,
"userId": "<string>",
"title": "<string>",
"description": "<string>",
"status": "<string>",
"priority": "no-priority",
"createdAt": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z"
}
],
"projects": [
{
"id": "<string>",
"workspaceId": "<string>",
"slug": "<string>",
"icon": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"isPublic": true,
"archivedAt": null
}
],
"workspaces": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"logo": "<string>",
"metadata": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"comments": [
{
"id": "<string>",
"taskId": "<string>",
"type": "comment",
"createdAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"content": "<string>",
"eventData": {},
"externalUserName": "<string>",
"externalUserAvatar": "<string>",
"externalSource": "<string>",
"externalUrl": "<string>"
}
],
"activities": [
{
"id": "<string>",
"taskId": "<string>",
"type": "comment",
"createdAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"content": "<string>",
"eventData": {},
"externalUserName": "<string>",
"externalUserAvatar": "<string>",
"externalSource": "<string>",
"externalUrl": "<string>"
}
]
}Bearer token authentication
1all, tasks, projects, workspaces, comments, activities Was this page helpful?